logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

DelForbidStreamRule

GET

https://rtc-api.zego.im/

Deletes the Stream publishing prohibition rule.

Rate Limit
All Rooms under the same AppID: 10 times/second.
Note
  • You can use Describe Stream publishing prohibition rules to check whether the corresponding Stream publishing prohibition rule was successfully deleted.
  • If the prohibition rule for the specified Stream ID does not exist, calling this interface will not return an error.

Request

Query Parameters

    Action stringrequired

    Possible values: [DelForbidStreamRule]

    Interface prototype parameter

    https://rtc-api.zego.im?Action=DelForbidStreamRule

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RoomId stringrequired

    Room ID.

    StreamId stringrequired

    Possible values: <= 256 characters

    Stream ID, with a maximum length of 256 bytes.

Responses

Operation succeeded
Schema
    Code int32

    Return code. The following only lists some return codes related to the interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request succeeded.-
    1Request failed.Please contact ZEGOCLOUD technical support for assistance.
    2Input parameter error.-
    9Permission to use this interface has not been granted.Please contact ZEGOCLOUD technical support for assistance.
    123Failed to set Stream information.Please retry, or contact ZEGOCLOUD technical support for assistance.
    206App request QPS is too high and is being rate-limited.Reduce request frequency, or contact ZEGOCLOUD technical support to increase the QPS limit threshold.
    Message string

    Description of the operation result.

    RequestId string

    Request ID.

Previous

DescribeForbidStreamRules

Next

StartMix

On this page

Back to top